Bug 378741 - Firefox shows menus on wrong screen.
Firefox shows menus on wrong screen.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 16:04 EST by David Woodhouse
Modified: 2008-06-02 17:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 239043 None None None Never

  None (edit)
Description David Woodhouse 2007-11-12 16:04:24 EST
Firefox doesn't seem to grok xrandr very well...

If you start up firefox when you are operating in single-head mode, then add a
new head (e.g. 'xrandr --output DVI-0 --right-of LVDS --auto'), then move
firefox onto the new second head and use its menus, the menus get displayed in
the wrong place -- on the first screen.

This is a PITA because our X config doesn't work for dual-head any more -- the
_only_ way to set it up is to run 'xrandr' after the X session is running.

http://david.woodhou.se/mozilla-disconnected-menu.png
Comment 1 Matěj Cepl 2008-02-21 17:35:31 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 2 Matěj Cepl 2008-02-21 17:36:45 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 3 Matěj Cepl 2008-04-09 10:05:34 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]
Comment 4 Sertaç Ö. Yıldız 2008-06-01 20:26:46 EDT
This still happens on F9:
  firefox-3.0-0.60.beta5.fc9.i386
  xulrunner-1.9-0.63.beta5.fc9.i386

There's also an upstream report here:
https://bugzilla.mozilla.org/show_bug.cgi?id=239043
Comment 5 Matěj Cepl 2008-06-02 17:00:27 EDT
Thank you very much for pointing us to the upstream bug. We will continue to
track the issue in the centralized upstream bug tracker, and will review any bug
fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.